package com.lightinit.hsdatashow.json.pojo.solr;

import org.codehaus.jackson.annotate.JsonProperty;

import java.util.Date;

/**
 * Created by Mr.Yao on 2017/12/7.
 */
public class CoreItemDetailEntity extends CoreItemEntity {
    public CoreItemDetailEntity(){
        super();
    }
    public CoreItemDetailEntity(CoreItemEntity entity){
        this.name=entity.getName();
        this.isDefaultCore=entity.isDefaultCore;
        this.instanceDir=entity.getInstanceDir();
        this.dataDir=entity.getDataDir();
        this.config=entity.getConfig();
        this.schema=entity.getSchema();
        this.startTime=entity.startTime;
        this.uptime=entity.uptime;
    }
    @JsonProperty("numDocs")
    private int numDocs;
    @JsonProperty("maxDoc")
    private int maxDoc;
    @JsonProperty("deletedDocs")
    private int deletedDocs;
    @JsonProperty("lastModified")
    private Date lastModified;
    @JsonProperty("segmentCount")
    private int segmentCount;

    public int getNumDocs() {
        return numDocs;
    }

    public void setNumDocs(int numDocs) {
        this.numDocs = numDocs;
    }

    public int getMaxDoc() {
        return maxDoc;
    }

    public void setMaxDoc(int maxDoc) {
        this.maxDoc = maxDoc;
    }

    public int getDeletedDocs() {
        return deletedDocs;
    }

    public void setDeletedDocs(int deletedDocs) {
        this.deletedDocs = deletedDocs;
    }

    public Date getLastModified() {
        return lastModified;
    }

    public void setLastModified(Date lastModified) {
        this.lastModified = lastModified;
    }

    public int getSegmentCount() {
        return segmentCount;
    }

    public void setSegmentCount(int segmentCount) {
        this.segmentCount = segmentCount;
    }
}
